

export default function response() {
    return function (req, res, next) {
        res.cjson = function (msg = '成功', code = 0, data = null) {
            res.json({ code: code, msg: msg, data: data })
        }
        res.suc = function (data = null, msg = '成功', code = 0) {
            res.json({ code: code, msg: msg, data: data })
        }
        res.err = function (msg = '失败', code = 1) {
            res.json({ code: code, msg: msg, data: null })
        }

        next();
    }
}